# Use the official TensorFlow image with GPU support
FROM tensorflow/tensorflow:latest-gpu-jupyter

# Install necessary packages
RUN apt-get update && apt-get install -y --no-install-recommends \
    build-essential \
    curl \
    ca-certificates \
    && rm -rf /var/lib/apt/lists/*

RUN useradd -m -s /bin/bash oleg

RUN mkdir -p /workspace/tf_cache

# Install packages
RUN pip install tensorflow-gpu
RUN pip install jupyterlab
RUN pip install plotly

# Install additional applications
RUN apt update
RUN apt-get install graphviz -y

# Set the working directory
WORKDIR /workspace

# Expose the port for JupyterLab
EXPOSE ${JUPYTER_PORT}

# Command to run JupyterLab
CMD ["jupyter-lab", "--ip=0.0.0.0", "--port=9999", "--no-browser", "--allow-root", "--NotebookApp.token=''"]
